> For the complete documentation index, see [llms.txt](https://docs.antbuddy.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.antbuddy.us/integration-document-guide/antring/use-api.md).

# Use API

Using the API\
After registering and receiving an API account, the customer will be given an appId and appSecret. When calling the API, this appSecret must be used to generate a hash parameter. Details on how to create the hash parameter can be found in the "Create Hash" section and in the documentation for each API.

Requests to the API should be made to the following domain:

<https://openapi.antbuddy.com>

Depending on the API, the method and path will differ.

#### Create Hash

All requests to AntBuddy, in addition to the data, must include a hash value. The hash is calculated as the sha256 of all parameters (excluding the hash).

Example:

appId = 65446465436742018\
appSecret = 123456

API for retrieving call history:

GET /oapi/v1/call/histories?appId=6544646543674\&created\_from=2018-02-07T02:19:33.000Z\&created\_to=2018-02-07T07:04:22.000Z

The hash is calculated as follows:

```
iniCopyEdithash = sha256("65446465436742018-02-07T02:19:33.000Z2018-02-07T07:04:22.000Z123456")
```

\= 9b11b9ff77dbba70fe059acf84c02cfe6af90de9122e4d3bd6ec69c9d637f9ed

Note the order of the parameters for each API.

```javascript
javascriptCopyEditvar crypto = require('crypto');

function checksum(str) {
    return crypto
        .createHash('sha256')
        .update(str, 'utf8')
        .digest('hex');
}

var text = '65446465436742018-02-07T02:19:33.000Z2018-02-07T07:04:22.000Z123456';
var hash = checksum(text);
// 9b11b9ff77dbba70fe059acf84c02cfe6af90de9122e4d3bd6ec69c9d637f9ed
```

#### Data Format

Data sent and received will be in JSON format:

"Content-Type": "application/json"

#### HTTP Response

| HTTP Code | Description                                  |
| --------- | -------------------------------------------- |
| 200       | Success                                      |
| 400       | Error due to incorrect or invalid input data |
| 500       | Error due to API server issues               |
| 503       | Error due to exceeding the request limit     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.antbuddy.us/integration-document-guide/antring/use-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
